Filewatcher File Search File Search
Catalog
Content Search
» » » » » bti_028-2+squeeze1_amd64.deb » Content »
pkg://bti_028-2+squeeze1_amd64.deb:28140/usr/share/doc/bti/  info  control  downloads

bti - command line micro-blogging tool…  more info»

changelog.Debian.gz

bti (028-2+squeeze1) stable; urgency=low

  * Backport patch identi.ca-oauth.patch from 031-2:
    s/http/https/ in identi.ca OAuth URIs, otherwise acquiring an access token
    doesn't work after the recent changes at identi.ca.
    Closes: #602507

 -- gregor herrmann <gregoa@debian.org>  Sat, 05 Nov 2011 17:36:53 +0100

bti (028-2) unstable; urgency=low

  * Add patch 0001-Fixing-Identi.ca-s-OAuth-request_token-URI.patch by Amir
    Mohammad Saied which adds the oauth_callback parameter to the identi.ca
    request_token URI in order to make OAuth work with identi.ca
    (closes: #602507).
  * Minor fixes in README.Debian.

 -- gregor herrmann <gregoa@debian.org>  Wed, 24 Nov 2010 18:03:23 +0100

bti (028-1) unstable; urgency=low

  * New upstream release:
    - support for replying to notices
    - adds OAuth support for both twitter and identi.ca (closes: #588235)
    - split --background from --bash, and make the latter imply the former
  * Refresh manpage-debian.patch.
  * Set Standards-Version to 3.9.1 (no changes).
  * Add build dependency on liboauth-dev.
  * debian/rules: switch order of dh arguments (preparation for dh8).
  * debian/copyright: update years of upstream copyright.
  * Add README.Debian about OAuth usage.

 -- gregor herrmann <gregoa@debian.org>  Wed, 03 Nov 2010 23:00:59 +0100

bti (026-1) unstable; urgency=low

  * Bump build dependency on bash-completion (needed for --with
    bash-completion in debian/rules).

  * New upstream release.
  * Refresh patch manpage-debian.patch and DEP3 patch headers.
  * debian/copyright: refresh DEP5 header, update years of packaging
    copyright.
  * Set Standards-Version to 3.8.4 (no changes).
  * Convert to source format 3.0 (quilt). Remove quilt framework.
    Lower debhelper dependency.

 -- gregor herrmann <gregoa@debian.org>  Wed, 19 May 2010 21:41:04 +0200

bti (025-1) unstable; urgency=low

  * New upstream release: 
    - set default host to twitter (closes: #563098)
    - mention correct host in prompts (closes: #563099)

 -- gregor herrmann <gregoa@debian.org>  Sun, 10 Jan 2010 01:29:11 +0100

bti (024-1) unstable; urgency=low

  * New upstream release:
    - do not display password while user types it (LP: #386525)
    - disable echo when reading the password
    - add laconica group support
  * debian/control: add Homepage field and adjust long description.
  * Use "--with bash-completion" in debian/rules to install bash-completion
    snippet; bump build dependencies on debhelper and bash-completion in
    debian/control.

 -- gregor herrmann <gregoa@debian.org>  Wed, 02 Dec 2009 17:09:28 +0100

bti (023-2) unstable; urgency=low

  * Build depend on libreadline-dev instead of libreadline5-dev, thanks to
    Matthias Klose for the pointer.
  * Set Standards-Version to 3.8.3 (no changes).
  * Add debian/README.source to document quilt usage.
  * Simplify debian/rules, adjust versioned build dependencies on debhelper
    and quilt in debian/control.
  * Use dh_bash-completion for installing the completion snippet; adjust
    debian/rules, add a versioned build dependency on bash-completion.

 -- gregor herrmann <gregoa@debian.org>  Sun, 13 Sep 2009 16:14:08 +0200

bti (023-1) unstable; urgency=low

  * New upstream release, main changes:
    - new 'verbose' mode
    - SSL also for twitter
  * debian/copyright: add new additional copyright holder.
  * Refresh patch manpage-debian.patch.
  * debian/control: mention additional actions in long description.

 -- gregor herrmann <gregoa@debian.org>  Thu, 28 May 2009 17:37:08 +0200

bti (022-1) unstable; urgency=low

  * New upstream release, main changes:
    - support for custim laconi.ca instances
    - use SSL for identi.ca
  * debian/copyright: add additional copyright holder.

 -- gregor herrmann <gregoa@debian.org>  Wed, 06 May 2009 23:05:42 +0200

bti (021-1) unstable; urgency=low

  * New upstream release, contains changes in autoconf tools:
    - simplify debian/rules and debian/install
    - replace xmtlo with xsltproc, docbook-xsl, docbook-xml in debian/control

 -- gregor herrmann <gregoa@debian.org>  Wed, 15 Apr 2009 17:12:53 +0200

bti (020-1) unstable; urgency=low

  * New upstream release:
    - remove patch getopt.patch, included upstream
    - remove manpage for bti-shrink-urls from debian/, included upstream
    - upstream uses autoconf, adjust debian/rules and debian/install, remove
      debian/manpages

 -- gregor herrmann <gregoa@debian.org>  Tue, 14 Apr 2009 20:40:24 +0200

bti (017-1) unstable; urgency=low

  * New upstream release.
  * Add build-dependency on libpcre3-dev.
  * Refresh patch manpage-debian.patch.
  * debian/install: add new bti-shrink-urls.
  * debian/copyright: add information about bti-shrink-urls.
  * Create a manpage for bti-shrink-urls.
  * debian/rules: skip dh_auto_install (upstream Makefile now has an install
    target which is not easier to use than the manual installation we've been
    using).
  * Add a new patch getopt.patch to make the new commandline options available
    in bti.c.

 -- gregor herrmann <gregoa@debian.org>  Tue, 24 Mar 2009 20:47:41 +0100

bti (015-1) unstable; urgency=low

  * New upstream release; from the RELEASE-NOTES:
    "--action support, bti now can output data from the twitter
    and identica servers".
  * Add build dependency on libxml2-dev.
  * Refresh patch manpage-debian.patch.
  * Set Standards-Version to 3.8.1 (no changes).

 -- gregor herrmann <gregoa@debian.org>  Thu, 12 Mar 2009 17:17:11 +0100

bti (014-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Sat, 14 Feb 2009 18:36:36 +0100

bti (013-1) unstable; urgency=low

  * New upstream release.
  * Use dh_install instead of dh_bash-completion to install the bash
    completion snippet in order to work around a problem on the amd64 buildd
    (closes: #513115). Drop build dependency on bash-completion.

 -- gregor herrmann <gregoa@debian.org>  Thu, 05 Feb 2009 20:54:54 +0100

bti (012-1) unstable; urgency=low

  * New upstream release.
  * Install the new bash completion script; add bash-completion to
    Build-Depends and Suggests.
  * Refresh patch manpage-debian.patch.

 -- gregor herrmann <gregoa@debian.org>  Sun, 25 Jan 2009 00:52:13 +0100

bti (011-1) unstable; urgency=low

  * New upstream release.
  * Add build dependency on libreadline5-dev.

 -- gregor herrmann <gregoa@debian.org>  Tue, 20 Jan 2009 17:05:57 +0100

bti (010-1) unstable; urgency=low

  * New upstream release, includes a new --proxy option and honours the
    http_proxy environment variable (closes: #511087).
  * Refresh patch manpage-debian.patch.

 -- gregor herrmann <gregoa@debian.org>  Mon, 12 Jan 2009 22:46:19 +0100

bti (008-1) unstable; urgency=low

  * New upstream release (due to december twitter server change).
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sat, 10 Jan 2009 06:01:45 +0100

bti (007-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Sun, 26 Oct 2008 23:36:48 +0100

bti (006-1) unstable; urgency=low

  * Initial release (Closes: #503241)

 -- gregor herrmann <gregoa@debian.org>  Fri, 24 Oct 2008 20:53:07 +0200
Results 1 - 1 of 1
Help - FTP Sites List - Software Dir.
Search over 15 billion files
© 1997-2017 FileWatcher.com